/* FAQs */

.wra-faqs:before {
    background: var(--e-global-color-058ee34);
    content: '';
    display: block;
    height: 100%;
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
    visibility: hidden;
    width: 100%;
    z-index: 10;
}

.wra-faqs:has(.facetwp-facet.is-loading)::before {
    opacity: 0.8;
    visibility: visible;
}

.wra-faqs:after {
    animation: rotateInfinite 2s linear infinite;
    background-color: var(--e-global-color-058ee34);
    background-image: url('/wp-content/uploads/2022/04/WeRide-Registered-logo-color_ART.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: 70%;
    border-radius: 50%;
    content: '';
    display: block;
    height: 200px;
    left: 50%;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 100px;
    transform: translateX(-50%);
    visibility: hidden;
    width: 200px;
    z-index: 11;
}

.wra-faqs:has(.facetwp-facet.is-loading)::after {
    opacity: 0.8;
    visibility: visible;
}

.wra-faqs .facetwp-facet {
    margin: 0;
}

.wra-faqs .facetwp-input-wrap {
    width: 100%;
}

.wra-faqs .facetwp-facet input.facetwp-search {
    background: var(--e-global-color-058ee34);
    border: 2px solid var(--e-global-color-058ee34);
    padding: 10px 60px 10px 10px;
}

.wra-faqs i.facetwp-icon {
    align-items: center;
    border: 2px solid var(--e-global-color-primary);
    color: #fff;
    display: flex;
    height: 100%;
    justify-content: center;
    opacity: 1;
    right: 0;
    text-align: center;
    top: 0;
    width: 50px;
    background: var(--e-global-color-primary);
    transition: 0.3s;
}

.wra-faqs i.facetwp-icon:is(:hover, :focus, :focus-visible) {
    background-color: #fff;
    color: var(--e-global-color-primary);
    transform: scale(1.1);
}

.wra-faqs .facetwp-icon:before {
    mask-image: url('../icons/magnifying-glass-solid-full.svg');
    mask-size: 100%;
    mask-repeat: no-repeat;
    content: "";
    height: 24px;
    width: 24px;
    mask-position: center center;
    background: currentcolor;
    padding: 0px;
    transition: 0.3s;
}

.wra-faqs button.facetwp-reset {
    background-color: #FFFFFF;
    font-family: "Poppins", Sans-serif;
    font-size: 16px;
    font-weight: 600;
    text-transform: capitalize;
    font-style: normal;
    text-decoration: none;
    line-height: 1em;
    letter-spacing: 0px;
    word-spacing: 0em;
    fill: var(--e-global-color-primary);
    color: var(--e-global-color-primary);
    border-style: solid;
    border-width: 2px 2px 2px 2px;
    border-color: var(--e-global-color-primary);
    border-radius: 100px 100px 100px 100px;
    padding: 16px 10px 16px 10px;
    width: 100%;
}

.wra-faqs button.facetwp-reset:is(:hover, :focus, :focus-visible) {
    background-color: var(--e-global-color-primary);
    color: var(--e-global-color-a92d244);
    border-color: var(--e-global-color-primary);
}


.wra-faqs .faqs-topic-dropdown:after {
    border: 1px solid;
    border-color: var(--e-global-color-primary) transparent transparent transparent;
    border-width: 6px 6px 0 6px;
    content: '';
    display: block;
    height: 0px;
    padding: 0;
    pointer-events: none;
    position: absolute;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);
    transition: 0.3s;
    width: 0px;
}

.wra-faqs .faqs-topic-dropdown:has(select:is(:hover, :focus, :focus-visible)):after {
    border-color: var(--e-global-color-accent) transparent transparent transparent;
}

.wra-faqs .faqs-topic-dropdown select {
    appearance: none;
    border: 2px solid var(--e-global-color-primary);
    padding: 10px 30px 10px 10px;
}

.wra-faqs .faqs-topic-dropdown select:is(:hover, :focus, :focus-visible) {
    border: 2px solid var(--e-global-color-accent);
}

.faqs-groups-outer {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
}

.faqs-groups-col {
    display: flex;
    flex-basis: 100%;
    flex-direction: column;
    gap: 30px;
}

.faqs-groups-col:empty {
    display: none;
}

.faqs-topics-container {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.faqs-topics-title {
    padding-bottom: 15px;
}

.faqs-topics-title h3 {
    font-family: var(--e-global-typography-primary-font-family), Sans-serif;
    font-weight: var(--e-global-typography-primary-font-weight);
    line-height: 1;
    text-transform: uppercase;
    color: var(--e-global-color-primary);
    margin: 0;
}

.faqs-topics-container .e-loop-item>.e-con {
    --padding-top: 0;
    --padding-right: 0;
    --padding-bottom: 0;
    --padding-left: 0;
}

.faqs-topics-container .e-con-inner {
    gap: 0;
}

.faqs-topics-container .elementor-widget-heading .elementor-widget-container {
    background-color: var(--e-global-color-058ee34);
    padding: 15px 15px 15px 15px;
    border-style: solid;
    border-width: 1px 1px 1px 1px;
    border-color: #00000005;
    border-radius: 10px 10px 10px 10px;
}

.faqs-topics-container .elementor-widget-heading h3 {
    font-family: "Poppins", Sans-serif;
    font-size: 16px;
    font-weight: 600;
    color: #333333;
}

.faqs-topics-container .elementor-widget-theme-post-content .elementor-widget-container {
    line-height: 1.7em;
    margin: 0px 5px 0 0px;
    padding: 16px 16px 20px 16px;
}


@keyframes rotateInfinite {
    from {
        transform: translateX(-50%) rotate(0deg);
    }

    to {
        transform: translateX(-50%) rotate(360deg);
    }
}



@media only screen and (min-width:768px) {

    /* FAQs */
    .faqs-groups-outer {
        display: flex;
        gap: 60px;
        flex-wrap: nowrap;
    }

    .faqs-groups-col:empty+.faqs-groups-col {
        flex-basis: 50%;
        width: 50%;
    }

    .faqs-groups-col:has(+ .faqs-groups-col:empty) {
        flex-basis: 50%;
        width: 50%;
    }
}